import{s as te,n as ie,o as le}from"../chunks/scheduler.b108d059.js";import{S as ne,i as ae,g as p,s as n,r as w,A as se,h as o,f as i,c as a,j as K,u as v,x as C,k as ee,y as pe,a as l,v as P,d as b,t as y,w as M}from"../chunks/index.008de539.js";import{C as oe}from"../chunks/CodeBlock.3968c746.js";import{H as S}from"../chunks/Heading.88bfeb84.js";function re(O){let s,G,U,H,r,E,m,V="Welcome to the 🤗 Optimum-TPU training guide! This section covers how to fine-tune models using Google Cloud TPUs.",J,u,Z,f,X='See <a href="../supported-architectures.mdx">Supported Models</a>.',k,g,R,d,j,$,D="Before starting the training process, ensure you have:",B,c,Q='<li>A configured Google Cloud TPU instance (see <a href="./deploy">Deployment Guide</a>)</li> <li>Optimum-TPU installed with PyTorch/XLA support:</li>',W,h,q,x,z,T,Y="We provide several example scripts to help you get started:",A,_,N='<li><p>Gemma Fine-tuning:</p> <ul><li>See our <a href="https://github.com/huggingface/optimum-tpu/blob/main/examples/language-modeling/gemma_tuning.ipynb" rel="nofollow">Gemma fine-tuning notebook</a> for a step-by-step guide</li></ul></li> <li><p>LLaMA Fine-tuning:</p> <ul><li>Check our <a href="https://github.com/huggingface/optimum-tpu/blob/main/examples/language-modeling/llama_tuning.ipynb" rel="nofollow">LLaMA fine-tuning script</a> for detailed instructions</li></ul></li>',F,L,I;return r=new S({props:{title:"Training on TPU",local:"training-on-tpu",headingTag:"h1"}}),u=new S({props:{title:"Supported Models",local:"supported-models",headingTag:"h2"}}),g=new S({props:{title:"Getting Started",local:"getting-started",headingTag:"h2"}}),d=new S({props:{title:"Prerequisites",local:"prerequisites",headingTag:"h3"}}),h=new oe({props:{code:"cGlwJTIwaW5zdGFsbCUyMG9wdGltdW0tdHB1JTIwLWYlMjBodHRwcyUzQSUyRiUyRnN0b3JhZ2UuZ29vZ2xlYXBpcy5jb20lMkZsaWJ0cHUtcmVsZWFzZXMlMkZpbmRleC5odG1sJTBBZXhwb3J0JTIwUEpSVF9ERVZJQ0UlM0RUUFU=",highlighted:`pip install optimum-tpu -f https://storage.googleapis.com/libtpu-releases/index.html
<span class="hljs-built_in">export</span> PJRT_DEVICE=TPU`,wrap:!1}}),x=new S({props:{title:"Example Training Scripts",local:"example-training-scripts",headingTag:"h3"}}),{c(){s=p("meta"),G=n(),U=p("p"),H=n(),w(r.$$.fragment),E=n(),m=p("p"),m.textContent=V,J=n(),w(u.$$.fragment),Z=n(),f=p("p"),f.innerHTML=X,k=n(),w(g.$$.fragment),R=n(),w(d.$$.fragment),j=n(),$=p("p"),$.textContent=D,B=n(),c=p("ol"),c.innerHTML=Q,W=n(),w(h.$$.fragment),q=n(),w(x.$$.fragment),z=n(),T=p("p"),T.textContent=Y,A=n(),_=p("ol"),_.innerHTML=N,F=n(),L=p("p"),this.h()},l(e){const t=se("svelte-u9bgzb",document.head);s=o(t,"META",{name:!0,content:!0}),t.forEach(i),G=a(e),U=o(e,"P",{}),K(U).forEach(i),H=a(e),v(r.$$.fragment,e),E=a(e),m=o(e,"P",{"data-svelte-h":!0}),C(m)!=="svelte-zgzj4i"&&(m.textContent=V),J=a(e),v(u.$$.fragment,e),Z=a(e),f=o(e,"P",{"data-svelte-h":!0}),C(f)!=="svelte-12mq8wl"&&(f.innerHTML=X),k=a(e),v(g.$$.fragment,e),R=a(e),v(d.$$.fragment,e),j=a(e),$=o(e,"P",{"data-svelte-h":!0}),C($)!=="svelte-jesrlw"&&($.textContent=D),B=a(e),c=o(e,"OL",{"data-svelte-h":!0}),C(c)!=="svelte-10vix3u"&&(c.innerHTML=Q),W=a(e),v(h.$$.fragment,e),q=a(e),v(x.$$.fragment,e),z=a(e),T=o(e,"P",{"data-svelte-h":!0}),C(T)!=="svelte-1oeyxj5"&&(T.textContent=Y),A=a(e),_=o(e,"OL",{"data-svelte-h":!0}),C(_)!=="svelte-kx9rsy"&&(_.innerHTML=N),F=a(e),L=o(e,"P",{}),K(L).forEach(i),this.h()},h(){ee(s,"name","hf:doc:metadata"),ee(s,"content",me)},m(e,t){pe(document.head,s),l(e,G,t),l(e,U,t),l(e,H,t),P(r,e,t),l(e,E,t),l(e,m,t),l(e,J,t),P(u,e,t),l(e,Z,t),l(e,f,t),l(e,k,t),P(g,e,t),l(e,R,t),P(d,e,t),l(e,j,t),l(e,$,t),l(e,B,t),l(e,c,t),l(e,W,t),P(h,e,t),l(e,q,t),P(x,e,t),l(e,z,t),l(e,T,t),l(e,A,t),l(e,_,t),l(e,F,t),l(e,L,t),I=!0},p:ie,i(e){I||(b(r.$$.fragment,e),b(u.$$.fragment,e),b(g.$$.fragment,e),b(d.$$.fragment,e),b(h.$$.fragment,e),b(x.$$.fragment,e),I=!0)},o(e){y(r.$$.fragment,e),y(u.$$.fragment,e),y(g.$$.fragment,e),y(d.$$.fragment,e),y(h.$$.fragment,e),y(x.$$.fragment,e),I=!1},d(e){e&&(i(G),i(U),i(H),i(E),i(m),i(J),i(Z),i(f),i(k),i(R),i(j),i($),i(B),i(c),i(W),i(q),i(z),i(T),i(A),i(_),i(F),i(L)),i(s),M(r,e),M(u,e),M(g,e),M(d,e),M(h,e),M(x,e)}}}const me='{"title":"Training on TPU","local":"training-on-tpu","sections":[{"title":"Supported Models","local":"supported-models","sections":[],"depth":2},{"title":"Getting Started","local":"getting-started","sections":[{"title":"Prerequisites","local":"prerequisites","sections":[],"depth":3},{"title":"Example Training Scripts","local":"example-training-scripts","sections":[],"depth":3}],"depth":2}],"depth":1}';function ue(O){return le(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class ce extends ne{constructor(s){super(),ae(this,s,ue,re,te,{})}}export{ce as component};
